Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.survivor
Class StrategyCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.survivor.StrategyCreationException

All Implemented Interfaces:
  java.io.Serializable

public class StrategyCreationException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`StrategyCreationException()` Creates new `StrategyCreationException` without detail message.
`StrategyCreationException(java.lang.String msg)` Constructs an `StrategyCreationException` with the specified detail message.
`StrategyCreationException(java.lang.String msg, java.lang.Throwable cause)` Constructs an `StrategyCreationException` with the specified detail message and cause.
`StrategyCreationException(java.lang.Throwable cause)` Constructs an `StrategyCreationException` with the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StrategyCreationException

    public StrategyCreationException()

  Creates new `StrategyCreationException` without detail message.

### StrategyCreationException

    public StrategyCreationException(java.lang.String msg)

  Constructs an `StrategyCreationException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### StrategyCreationException

    public StrategyCreationException(java.lang.String msg,
                                     java.lang.Throwable cause)

  Constructs an `StrategyCreationException` with the specified detail message and cause.

  Parameters:
    `msg` - the detailed message
    `cause` - the cause

### StrategyCreationException

    public StrategyCreationException(java.lang.Throwable cause)

  Constructs an `StrategyCreationException` with the specified cause.

  Parameters:
    `cause` - the cause

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.